# s comment -*-coding: iso-8859-1;-*-
Executed when bash is invoked.
END
Executed when bash is invoked.
END
# $Id: language-de,v 1.4 1998/02/20 18:34:36 leutloff Exp $
#
# valores para usuarios hispanoparlantes
# settings for spanish speaking users
#

#LC_MESSAGES="es_ES"
# LC_CTYPE=es_ES.ISO8859-1
#export LC_MESSAGES LC_CTYPE

LC_ALL=es_ES   
export LC_ALL

# set LANG
# (locale.alias se encarga de poner esto bien con slo poner 'spanish')
LANG=spanish
export LANG

if [ -d /usr/X11R6/lib/X11/nls ]; then
    XNLSPATH=/usr/X11R6/lib/X11/nls
    export XNLSPATH
fi

# no especfico del idioma, pero tambin til (donde debera ponerlo??)
# esto ser aadido por 'base-files' ahora
# not language specific, but useful too (where should I place it??)
# will be set from base-files now

# if [ -n "$PS1" ] ; then
#     PS1='\u@\h[\W]\$ '
#     IGNOREEOF=3
# fi

# Some useful aliases. (derived from Bash_aliases from bash examples!)
alias texclean='rm -f *.toc *.aux *.log *.cp *.fn *.tp *.vr *.pg *.ky'
alias clean='echo -n "Desea borrar todos los ficheros temporales?";
	read si;
	if test "$si" = "y" -o "$si" = "s" ; then
	   rm -f \#* *~ .*~ *.bak .*.bak  *.tmp .*.tmp core a.out;
	   echo "Hecho.";
	else
	   echo "Cancelado.";
	fi'
alias h='history'
alias j="jobs -l"
alias ll="ls -l"
#alias ls="ls -F"
alias l.='ls .[a-zA-Z0-9]*'
alias pu="pushd"
alias po="popd"

# aliases para los ms novatos (que conozcan DOS)
# aliases for the more novice (and DOS aware) people
alias cp='cp -i'
alias mv='mv -i'
alias rm='rm -i'
alias cls='clear'
alias md='mkdir'
alias rd='rmdir'
#alias dir='ls -al' 
# no necesario, hay un ejecutable /bin/dir
# not necessary, because there is an executable /bin/dir
alias copy='cp -i'
alias del='rm -i'

alias l='ls -lF'

# if [ -x /usr/bin/less ]; then
# 	alias l='less'
# else
# 	alias l='more'
# fi
if [ ! -z $DISPLAY ]; then
	if [ -x /usr/X11R6/xless ]; then
		alias m='xless'
	fi
fi

alias psl='ps -aux | less'
alias ..='cd ..'
alias .='echo $PWD'

# Alias para los usuarios de sgml
alias sgml2html='sgml2html -c latin -l es'
alias sgml2txt='sgml2txt -c latin -l es'
alias sgml2rtf='sgml2rtf -c latin -l es'

# Para los editores
alias joe='joe -asis'

# Sacado del Spanish-COMO
set meta-flag on                # conservar bit 8 en entrada de teclado
set output-meta on      # conservar bit 8 en salida por terminal
set convert-meta off    # no convertir secuencias de escape
set horizontal-scroll-mode on
LESSCHARSET=latin1

# Obtenido de http://members.xoom.com/sromero/linux/castell.html
export MM_CHARSET=ISO-8859-1    # para usar latin1 en los mails


#
# Csh compatability:
#
alias unsetenv=unset
function setenv () {
  export $1="$2"
}

# Funcin que aade los aliases a la shell actual y al fichero
# ~/.bash_aliases.
# Function which adds an alias to the current shell and to
# the ~/.bash_aliases file.
add_alias ()
{
   local name=$1 value="$2"
   echo alias $name=\'$value\' >>~/.bash_aliases
   eval alias $name=\'$value\'
   alias $name
}

# Orden "repetir". Como:
#
#	repite 10 echo foo
# "repeat" command.  Like:
#
#	repeat 10 echo foo
repite ()
{ 
    local count="$1" i;
    shift;
    for i in $(seq 1 "$count");
    do
        eval "$@";
    done
}

# Subfuncin necesaria por `repite' 
# Subfunction needed by `repeat'.
seq ()
{ 
    local lower upper output;
    lower=$1 upper=$2;

    if [ $lower -ge $upper ]; then return; fi
    while [ $lower -le $upper ];
    do
	echo -n "$lower "
        lower=$(($lower + 1))
    done
    echo "$lower"
}

# Por si acaso tenemos la consola fastidiada
tty -s
if [ $? = 0 ]; then
        stty cs8 -istrip -parenb >&0;
fi
# Para listado con de colores
if [ -e /usr/bin/dircolors ]; then
	eval `/usr/bin/dircolors`
fi
alias ls='ls --color=auto'

# Para que a los VT100 no se les fastidie el terminal con los colores
if [ $TERM = vt100 ]; then
        alias ls='ls -F --color=never';
fi


# Funcion de calculadora :)
# cortesia de Joey Hess <joey@kitenet.net> en debian-debel 5 Aug 1998
calcula () {
        echo $* | bc -l
}

