# s comment -*-coding: iso-8859-1;-*-
Executed when bash is invoked.
END
Executed when bash is invoked.
END
# $Id: language-de,v 1.4 1998/02/20 18:34:36 leutloff Exp $
# settings for german speaking users

#LC_MESSAGES="de_DE"
#LC_CTYPE=iso_8859_1
#export LC_MESSAGES LC_CTYPE

LC_ALL=de_DE    
export LC_ALL

# set LANG
LANG=de_DE
export LANG


# not language specific, but useful too (where should I place it??)
# will be set from base-files now

# if [ -n "$PS1" ] ; then
#     PS1='\u@\h[\W]\$ '
#     IGNOREEOF=3
# fi

# $Source: /usr/src/user-de-0.8/RCS/bash_aliases-de,v $
# $Id: bash_aliases-de,v 1.4 1998/09/10 19:42:22 leutloff Exp $
# 
# Some useful aliases. (derived from Bash_aliases from bash examples!)
alias texclean='rm -f *.toc *.aux *.log *.cp *.fn *.tp *.vr *.pg *.ky'
alias clean='echo -n "Soll diese Verzeichnis wirklich aufgerumt werden?";
	read yorn;
	if test "$yorn" = "y" -o "$yorn" = "j" ; then
	   rm -f \#* *~ .*~ *.bak .*.bak  *.tmp .*.tmp core a.out;
	   echo "Aufgerumt.";
	else
	   echo "Nicht aufgerumt.";
	fi'
alias h='history'
alias j="jobs -l"
alias ll="ls -l"
alias ls="ls -F"
alias l.='ls .[a-zA-Z0-9]*'
alias pu="pushd"
alias po="popd"

# aliases for the more novice (and DOS aware) people
alias cp='cp -i'
alias mv='mv -i'
alias rm='rm -i'
alias cls='clear'
alias md='mkdir'
alias rd='rmdir'
#alias dir='ls -al' not nessary, because there is an executable /bin/dir
alias copy='cp -i'
alias del='rm -i'

alias l='ls -lF'
# if [ -x /usr/bin/less ]; then
# 	alias l='less'
# else
# 	alias l='more'
# fi
if [ ! -z $DISPLAY ]; then
	if [ -x /usr/X11R6/xless ]; then
		alias m='xless'
	fi
fi

alias psl='ps -aux | less'
alias ..='cd ..'
alias .='echo $PWD'


#
# Csh compatability:
#
alias unsetenv=unset
function setenv () {
  export $1="$2"
}

# Function which adds an alias to the current shell and to
# the ~/.bash_aliases file.
add_alias ()
{
   local name=$1 value="$2"
   echo alias $name=\'$value\' >>~/.bash_aliases
   eval alias $name=\'$value\'
   alias $name
}

# "repeat" command.  Like:
#
#	repeat 10 echo foo
repeat ()
{ 
    local count="$1" i;
    shift;
    for i in $(seq 1 "$count");
    do
        eval "$@";
    done
}

# Subfunction needed by `repeat'.
seq ()
{ 
    local lower upper output;
    lower=$1 upper=$2;

    if [ $lower -ge $upper ]; then return; fi
    while [ $lower -le $upper ];
    do
	echo -n "$lower "
        lower=$(($lower + 1))
    done
    echo "$lower"
}
