# !Thai! -*-coding: tis-620;-*-
#
# ---------------------------------------------------
# isNC()
# ---------------------------------------------------
sub isNC($$$)
{
	my ($THIS, $OPT, $OPT_N);
	$THIS = $_[0];
	$OPT = $_[1];
	$OPT_N = $_[2];

	if ($ENV{DISPLAY} ne '' && -x "/usr/bin/txiterm" && !$OPT_N) {
		exec("txiterm -e $THIS -N -C $OPT");
	}
	return 0;
}

# ---------------------------------------------------
# initialize()
# ---------------------------------------------------
sub initialize()
{
	&Sub::addlist("locales");
	&Sub::addlist("locale-th");
	&Sub::addlist("xfonts-thai");
	&Sub::addlist("xiterm+thai");
	return 0;
}

# ---------------------------------------------------
# sourceset2displayset()
# ---------------------------------------------------
sub sourceset2displayset ($)
{
	return $_[0];
}

# ---------------------------------------------------
# analcode()
# ---------------------------------------------------
sub analcode($)
{
	return 0;
}

# ---------------------------------------------------
# convcode()
# ---------------------------------------------------
sub convcode($$)
{
	return $_[0];
}


# ---------------------------------------------------
# messages
# ---------------------------------------------------

%messages = (

# msgid
"\nPush [Enter] key to End.\n" =>
# msgstr (in ASCII)
"\nPush [Enter] key to End.\n\000" .
# msgstr (in native character set: for example ISO-8859-1)
"\nPush [Enter] key to End.\n" ,

"Now obtaining package list...\n" =>
"Now obtaining package list...\n\000" .
"Now obtaining package list...\n" ,

"Do setting? " =>
"Do setting? \000" .
"Do setting? " ,

"Setting is not done.\n" =>
"Setting is not done.\n" ,

"Do setting...\n" =>
"Do setting...\n" ,

"Cannot open \"%s\".\n" =>
"Cannot open \"%s\".\n" ,

"Cannot write to \"%s\".\n" =>
"Cannot write to \"%s\".\n" ,

"Cannot lock \"%s\".\n" =>
"Cannot lock \"%s\".\n" ,

"Cannot close \"%s\".\n" =>
"Cannot close \"%s\".\n" ,

"Install the following packages.\n" =>
"Install the following packages.\n" ,

"   Setting is now done.  To activate these settings,\n".
"logout and login.\n".
"   Read each dotfile and confirm the modification.\n".
"If you don't like the setting, modify directly or\n".
"add overriding setting after 'language-env end' line.\n".
"   Read /usr/share/doc/language-env/README.* for detail.\n" =>
"   Setting is now done.  To activate these settings,\n".
"logout and login.\n".
"   Read each dotfile and confirm the modification.\n".
"If you don't like the setting, modify directly or\n".
"add overriding setting after 'language-env end' line.\n".
"   Read /usr/share/doc/language-env/README.* for detail.\n" ,

"Usage: set-language-env [options]\n".
"  -l language : Specify language (otherwise choose from menu)\n".
"  -h          : This help message\n".
"  -v          : 'verbose mode'\n".
"  -s          : Display list of supported languages and exit\n".
"  -r          : Remove all settings\n".
"  -N          : Never fork another set-language-env (for internal use)\n".
"  -c          : Don't use native character set (for internal use)\n".
"  -C          : Use native character set (for internal use)\n" =>
"Usage: set-language-env [options]\n".
"  -l language : Specify language (otherwise choose from menu)\n".
"  -h          : This help message\n".
"  -v          : 'verbose mode'\n".
"  -s          : Display list of supported languages and exit\n".
"  -r          : Remove all settings\n".
"  -N          : Never fork another set-language-env (for internal use)\n".
"  -c          : Don't use native character set (for internal use)\n".
"  -C          : Use native character set (for internal use)\n"

);

# ---------------------------------------------------
# yes and no
# ---------------------------------------------------
$yes_upper = "Y";
$yes_lower = "y";
$no_upper = "N";
$no_lower = "n";
